Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82074 - Delete ethernet hardware, IndexError: list index out of range
Summary: Delete ethernet hardware, IndexError: list index out of range
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2003-01-17 05:15 UTC by Warren Togami
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-30 16:28:29 UTC


Attachments (Terms of Use)

Description Warren Togami 2003-01-17 05:15:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
Within the "Hardware" tab when I attempt to delete my 8139too device "RealTek
RTL-8139, SMC EZ Card" and click "Yes" redhat-config-network-1.1.90-1
immediately crashes with this dump:

Component: redhat-config-network
Version: 1.1.90
Summary: TB
/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py:1355:on_hardwareDeleteButton_clicked:IndexError:
list index out of range
Traceback (most recent call last):
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 569, in on_deleteButton_clicked
    self.deleteButtonFunc[self.active_page](button)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 1355, in on_hardwareDeleteButton_clicked
    page = clist.selection[0])
IndexError: list index out of range

Version-Release number of selected component (if applicable):
redhat-config-network-1.1.90-1
rhpl-0.75-1

How reproducible:
Always

Steps to Reproduce:
1. redhat-config-network
2. "Hardware" tab
3. Delete ethernet device, click yes
    
Actual Results:  
Crash.

Expected Results:  
Shouldn't crash.


Note You need to log in before you can comment on or make changes to this bug.